Documentation
¶
Index ¶
- Constants
- type GetEvaluationBatch
- type GetEvaluationBatchDefault
- func (o *GetEvaluationBatchDefault) SetPayload(payload *models.Error)
- func (o *GetEvaluationBatchDefault) SetStatusCode(code int)
- func (o *GetEvaluationBatchDefault) WithPayload(payload *models.Error) *GetEvaluationBatchDefault
- func (o *GetEvaluationBatchDefault) WithStatusCode(code int) *GetEvaluationBatchDefault
- func (o *GetEvaluationBatchDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type GetEvaluationBatchHandler
- type GetEvaluationBatchHandlerFunc
- type GetEvaluationBatchNotModified
- type GetEvaluationBatchOK
- func (o *GetEvaluationBatchOK) SetETag(eTag string)
- func (o *GetEvaluationBatchOK) SetPayload(payload *models.EvaluationBatchResponse)
- func (o *GetEvaluationBatchOK) WithETag(eTag string) *GetEvaluationBatchOK
- func (o *GetEvaluationBatchOK) WithPayload(payload *models.EvaluationBatchResponse) *GetEvaluationBatchOK
- func (o *GetEvaluationBatchOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type GetEvaluationBatchParams
- type GetEvaluationBatchURL
- func (o *GetEvaluationBatchURL) Build() (*url.URL, error)
- func (o *GetEvaluationBatchURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetEvaluationBatchURL) Must(u *url.URL, err error) *url.URL
- func (o *GetEvaluationBatchURL) SetBasePath(bp string)
- func (o *GetEvaluationBatchURL) String() string
- func (o *GetEvaluationBatchURL) StringFull(scheme, host string) string
- func (o *GetEvaluationBatchURL) WithBasePath(bp string) *GetEvaluationBatchURL
- type PostEvaluation
- type PostEvaluationBatch
- type PostEvaluationBatchDefault
- func (o *PostEvaluationBatchDefault) SetPayload(payload *models.Error)
- func (o *PostEvaluationBatchDefault) SetStatusCode(code int)
- func (o *PostEvaluationBatchDefault) WithPayload(payload *models.Error) *PostEvaluationBatchDefault
- func (o *PostEvaluationBatchDefault) WithStatusCode(code int) *PostEvaluationBatchDefault
- func (o *PostEvaluationBatchDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type PostEvaluationBatchHandler
- type PostEvaluationBatchHandlerFunc
- type PostEvaluationBatchNotModified
- type PostEvaluationBatchOK
- func (o *PostEvaluationBatchOK) SetETag(eTag string)
- func (o *PostEvaluationBatchOK) SetPayload(payload *models.EvaluationBatchResponse)
- func (o *PostEvaluationBatchOK) WithETag(eTag string) *PostEvaluationBatchOK
- func (o *PostEvaluationBatchOK) WithPayload(payload *models.EvaluationBatchResponse) *PostEvaluationBatchOK
- func (o *PostEvaluationBatchOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type PostEvaluationBatchParams
- type PostEvaluationBatchURL
- func (o *PostEvaluationBatchURL) Build() (*url.URL, error)
- func (o *PostEvaluationBatchURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *PostEvaluationBatchURL) Must(u *url.URL, err error) *url.URL
- func (o *PostEvaluationBatchURL) SetBasePath(bp string)
- func (o *PostEvaluationBatchURL) String() string
- func (o *PostEvaluationBatchURL) StringFull(scheme, host string) string
- func (o *PostEvaluationBatchURL) WithBasePath(bp string) *PostEvaluationBatchURL
- type PostEvaluationDefault
- func (o *PostEvaluationDefault) SetPayload(payload *models.Error)
- func (o *PostEvaluationDefault) SetStatusCode(code int)
- func (o *PostEvaluationDefault) WithPayload(payload *models.Error) *PostEvaluationDefault
- func (o *PostEvaluationDefault) WithStatusCode(code int) *PostEvaluationDefault
- func (o *PostEvaluationDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type PostEvaluationHandler
- type PostEvaluationHandlerFunc
- type PostEvaluationOK
- type PostEvaluationParams
- type PostEvaluationURL
- func (o *PostEvaluationURL) Build() (*url.URL, error)
- func (o *PostEvaluationURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *PostEvaluationURL) Must(u *url.URL, err error) *url.URL
- func (o *PostEvaluationURL) SetBasePath(bp string)
- func (o *PostEvaluationURL) String() string
- func (o *PostEvaluationURL) StringFull(scheme, host string) string
- func (o *PostEvaluationURL) WithBasePath(bp string) *PostEvaluationURL
Constants ¶
const GetEvaluationBatchNotModifiedCode int = 304
GetEvaluationBatchNotModifiedCode is the HTTP code returned for type GetEvaluationBatchNotModified
const GetEvaluationBatchOKCode int = 200
GetEvaluationBatchOKCode is the HTTP code returned for type GetEvaluationBatchOK
const PostEvaluationBatchNotModifiedCode int = 304
PostEvaluationBatchNotModifiedCode is the HTTP code returned for type PostEvaluationBatchNotModified
const PostEvaluationBatchOKCode int = 200
PostEvaluationBatchOKCode is the HTTP code returned for type PostEvaluationBatchOK
const PostEvaluationOKCode int = 200
PostEvaluationOKCode is the HTTP code returned for type PostEvaluationOK
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type GetEvaluationBatch ¶
type GetEvaluationBatch struct {
Context *middleware.Context
Handler GetEvaluationBatchHandler
}
GetEvaluationBatch swagger:route GET /evaluation/batch evaluation getEvaluationBatch
Salo flagr-response's lambda GET-handler drop-in replacement
func NewGetEvaluationBatch ¶
func NewGetEvaluationBatch(ctx *middleware.Context, handler GetEvaluationBatchHandler) *GetEvaluationBatch
NewGetEvaluationBatch creates a new http.Handler for the get evaluation batch operation
func (*GetEvaluationBatch) ServeHTTP ¶
func (o *GetEvaluationBatch) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetEvaluationBatchDefault ¶
type GetEvaluationBatchDefault struct {
/*
In: Body
*/
Payload *models.Error `json:"body,omitempty"`
// contains filtered or unexported fields
}
GetEvaluationBatchDefault generic error response
swagger:response getEvaluationBatchDefault
func NewGetEvaluationBatchDefault ¶
func NewGetEvaluationBatchDefault(code int) *GetEvaluationBatchDefault
NewGetEvaluationBatchDefault creates GetEvaluationBatchDefault with default headers values
func (*GetEvaluationBatchDefault) SetPayload ¶
func (o *GetEvaluationBatchDefault) SetPayload(payload *models.Error)
SetPayload sets the payload to the get evaluation batch default response
func (*GetEvaluationBatchDefault) SetStatusCode ¶
func (o *GetEvaluationBatchDefault) SetStatusCode(code int)
SetStatusCode sets the status to the get evaluation batch default response
func (*GetEvaluationBatchDefault) WithPayload ¶
func (o *GetEvaluationBatchDefault) WithPayload(payload *models.Error) *GetEvaluationBatchDefault
WithPayload adds the payload to the get evaluation batch default response
func (*GetEvaluationBatchDefault) WithStatusCode ¶
func (o *GetEvaluationBatchDefault) WithStatusCode(code int) *GetEvaluationBatchDefault
WithStatusCode adds the status to the get evaluation batch default response
func (*GetEvaluationBatchDefault) WriteResponse ¶
func (o *GetEvaluationBatchDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetEvaluationBatchHandler ¶
type GetEvaluationBatchHandler interface {
Handle(GetEvaluationBatchParams) middleware.Responder
}
GetEvaluationBatchHandler interface for that can handle valid get evaluation batch params
type GetEvaluationBatchHandlerFunc ¶
type GetEvaluationBatchHandlerFunc func(GetEvaluationBatchParams) middleware.Responder
GetEvaluationBatchHandlerFunc turns a function with the right signature into a get evaluation batch handler
func (GetEvaluationBatchHandlerFunc) Handle ¶
func (fn GetEvaluationBatchHandlerFunc) Handle(params GetEvaluationBatchParams) middleware.Responder
Handle executing the request and returning a response
type GetEvaluationBatchNotModified ¶
type GetEvaluationBatchNotModified struct {
}
GetEvaluationBatchNotModified Not Modified - flag configuration has not changed since the provided ETag
swagger:response getEvaluationBatchNotModified
func NewGetEvaluationBatchNotModified ¶
func NewGetEvaluationBatchNotModified() *GetEvaluationBatchNotModified
NewGetEvaluationBatchNotModified creates GetEvaluationBatchNotModified with default headers values
func (*GetEvaluationBatchNotModified) WriteResponse ¶
func (o *GetEvaluationBatchNotModified) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetEvaluationBatchOK ¶
type GetEvaluationBatchOK struct {
/*Cache version identifier for the flag evaluation cache
*/
ETag string `json:"ETag"`
/*
In: Body
*/
Payload *models.EvaluationBatchResponse `json:"body,omitempty"`
}
GetEvaluationBatchOK evaluation batch result
swagger:response getEvaluationBatchOK
func NewGetEvaluationBatchOK ¶
func NewGetEvaluationBatchOK() *GetEvaluationBatchOK
NewGetEvaluationBatchOK creates GetEvaluationBatchOK with default headers values
func (*GetEvaluationBatchOK) SetETag ¶
func (o *GetEvaluationBatchOK) SetETag(eTag string)
SetETag sets the eTag to the get evaluation batch o k response
func (*GetEvaluationBatchOK) SetPayload ¶
func (o *GetEvaluationBatchOK) SetPayload(payload *models.EvaluationBatchResponse)
SetPayload sets the payload to the get evaluation batch o k response
func (*GetEvaluationBatchOK) WithETag ¶
func (o *GetEvaluationBatchOK) WithETag(eTag string) *GetEvaluationBatchOK
WithETag adds the eTag to the get evaluation batch o k response
func (*GetEvaluationBatchOK) WithPayload ¶
func (o *GetEvaluationBatchOK) WithPayload(payload *models.EvaluationBatchResponse) *GetEvaluationBatchOK
WithPayload adds the payload to the get evaluation batch o k response
func (*GetEvaluationBatchOK) WriteResponse ¶
func (o *GetEvaluationBatchOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetEvaluationBatchParams ¶
type GetEvaluationBatchParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*ETag value from previous response for cache validation
In: header
*/
IfNoneMatch *string
/*
In: query
Default: ""
*/
EntityID *string
/*
In: query
Collection Format: multi
*/
FlagID []int64
/*
In: query
Collection Format: multi
*/
FlagKey []string
/*
In: query
Collection Format: multi
*/
FlagTag []string
/*
In: query
Default: "ALL"
*/
FlagTagQuery *string
}
GetEvaluationBatchParams contains all the bound params for the get evaluation batch operation typically these are obtained from a http.Request
swagger:parameters getEvaluationBatch
func NewGetEvaluationBatchParams ¶
func NewGetEvaluationBatchParams() GetEvaluationBatchParams
NewGetEvaluationBatchParams creates a new GetEvaluationBatchParams object with the default values initialized.
func (*GetEvaluationBatchParams) BindRequest ¶
func (o *GetEvaluationBatchParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetEvaluationBatchParams() beforehand.
type GetEvaluationBatchURL ¶
type GetEvaluationBatchURL struct {
EntityID *string
FlagID []int64
FlagKey []string
FlagTag []string
FlagTagQuery *string
// contains filtered or unexported fields
}
GetEvaluationBatchURL generates an URL for the get evaluation batch operation
func (*GetEvaluationBatchURL) Build ¶
func (o *GetEvaluationBatchURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetEvaluationBatchURL) BuildFull ¶
func (o *GetEvaluationBatchURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetEvaluationBatchURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetEvaluationBatchURL) SetBasePath ¶
func (o *GetEvaluationBatchURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetEvaluationBatchURL) String ¶
func (o *GetEvaluationBatchURL) String() string
String returns the string representation of the path with query string
func (*GetEvaluationBatchURL) StringFull ¶
func (o *GetEvaluationBatchURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetEvaluationBatchURL) WithBasePath ¶
func (o *GetEvaluationBatchURL) WithBasePath(bp string) *GetEvaluationBatchURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type PostEvaluation ¶
type PostEvaluation struct {
Context *middleware.Context
Handler PostEvaluationHandler
}
PostEvaluation swagger:route POST /evaluation evaluation postEvaluation
PostEvaluation post evaluation API
func NewPostEvaluation ¶
func NewPostEvaluation(ctx *middleware.Context, handler PostEvaluationHandler) *PostEvaluation
NewPostEvaluation creates a new http.Handler for the post evaluation operation
func (*PostEvaluation) ServeHTTP ¶
func (o *PostEvaluation) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type PostEvaluationBatch ¶
type PostEvaluationBatch struct {
Context *middleware.Context
Handler PostEvaluationBatchHandler
}
PostEvaluationBatch swagger:route POST /evaluation/batch evaluation postEvaluationBatch
PostEvaluationBatch post evaluation batch API
func NewPostEvaluationBatch ¶
func NewPostEvaluationBatch(ctx *middleware.Context, handler PostEvaluationBatchHandler) *PostEvaluationBatch
NewPostEvaluationBatch creates a new http.Handler for the post evaluation batch operation
func (*PostEvaluationBatch) ServeHTTP ¶
func (o *PostEvaluationBatch) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type PostEvaluationBatchDefault ¶
type PostEvaluationBatchDefault struct {
/*
In: Body
*/
Payload *models.Error `json:"body,omitempty"`
// contains filtered or unexported fields
}
PostEvaluationBatchDefault generic error response
swagger:response postEvaluationBatchDefault
func NewPostEvaluationBatchDefault ¶
func NewPostEvaluationBatchDefault(code int) *PostEvaluationBatchDefault
NewPostEvaluationBatchDefault creates PostEvaluationBatchDefault with default headers values
func (*PostEvaluationBatchDefault) SetPayload ¶
func (o *PostEvaluationBatchDefault) SetPayload(payload *models.Error)
SetPayload sets the payload to the post evaluation batch default response
func (*PostEvaluationBatchDefault) SetStatusCode ¶
func (o *PostEvaluationBatchDefault) SetStatusCode(code int)
SetStatusCode sets the status to the post evaluation batch default response
func (*PostEvaluationBatchDefault) WithPayload ¶
func (o *PostEvaluationBatchDefault) WithPayload(payload *models.Error) *PostEvaluationBatchDefault
WithPayload adds the payload to the post evaluation batch default response
func (*PostEvaluationBatchDefault) WithStatusCode ¶
func (o *PostEvaluationBatchDefault) WithStatusCode(code int) *PostEvaluationBatchDefault
WithStatusCode adds the status to the post evaluation batch default response
func (*PostEvaluationBatchDefault) WriteResponse ¶
func (o *PostEvaluationBatchDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type PostEvaluationBatchHandler ¶
type PostEvaluationBatchHandler interface {
Handle(PostEvaluationBatchParams) middleware.Responder
}
PostEvaluationBatchHandler interface for that can handle valid post evaluation batch params
type PostEvaluationBatchHandlerFunc ¶
type PostEvaluationBatchHandlerFunc func(PostEvaluationBatchParams) middleware.Responder
PostEvaluationBatchHandlerFunc turns a function with the right signature into a post evaluation batch handler
func (PostEvaluationBatchHandlerFunc) Handle ¶
func (fn PostEvaluationBatchHandlerFunc) Handle(params PostEvaluationBatchParams) middleware.Responder
Handle executing the request and returning a response
type PostEvaluationBatchNotModified ¶
type PostEvaluationBatchNotModified struct {
}
PostEvaluationBatchNotModified Not Modified - flag configuration has not changed since the provided ETag
swagger:response postEvaluationBatchNotModified
func NewPostEvaluationBatchNotModified ¶
func NewPostEvaluationBatchNotModified() *PostEvaluationBatchNotModified
NewPostEvaluationBatchNotModified creates PostEvaluationBatchNotModified with default headers values
func (*PostEvaluationBatchNotModified) WriteResponse ¶
func (o *PostEvaluationBatchNotModified) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type PostEvaluationBatchOK ¶
type PostEvaluationBatchOK struct {
/*Cache version identifier for the flag evaluation cache
*/
ETag string `json:"ETag"`
/*
In: Body
*/
Payload *models.EvaluationBatchResponse `json:"body,omitempty"`
}
PostEvaluationBatchOK evaluation batch result
swagger:response postEvaluationBatchOK
func NewPostEvaluationBatchOK ¶
func NewPostEvaluationBatchOK() *PostEvaluationBatchOK
NewPostEvaluationBatchOK creates PostEvaluationBatchOK with default headers values
func (*PostEvaluationBatchOK) SetETag ¶
func (o *PostEvaluationBatchOK) SetETag(eTag string)
SetETag sets the eTag to the post evaluation batch o k response
func (*PostEvaluationBatchOK) SetPayload ¶
func (o *PostEvaluationBatchOK) SetPayload(payload *models.EvaluationBatchResponse)
SetPayload sets the payload to the post evaluation batch o k response
func (*PostEvaluationBatchOK) WithETag ¶
func (o *PostEvaluationBatchOK) WithETag(eTag string) *PostEvaluationBatchOK
WithETag adds the eTag to the post evaluation batch o k response
func (*PostEvaluationBatchOK) WithPayload ¶
func (o *PostEvaluationBatchOK) WithPayload(payload *models.EvaluationBatchResponse) *PostEvaluationBatchOK
WithPayload adds the payload to the post evaluation batch o k response
func (*PostEvaluationBatchOK) WriteResponse ¶
func (o *PostEvaluationBatchOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type PostEvaluationBatchParams ¶
type PostEvaluationBatchParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*ETag value from previous response for cache validation
In: header
*/
IfNoneMatch *string
/*evaluation batch request
Required: true
In: body
*/
Body *models.EvaluationBatchRequest
}
PostEvaluationBatchParams contains all the bound params for the post evaluation batch operation typically these are obtained from a http.Request
swagger:parameters postEvaluationBatch
func NewPostEvaluationBatchParams ¶
func NewPostEvaluationBatchParams() PostEvaluationBatchParams
NewPostEvaluationBatchParams creates a new PostEvaluationBatchParams object
There are no default values defined in the spec.
func (*PostEvaluationBatchParams) BindRequest ¶
func (o *PostEvaluationBatchParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewPostEvaluationBatchParams() beforehand.
type PostEvaluationBatchURL ¶
type PostEvaluationBatchURL struct {
// contains filtered or unexported fields
}
PostEvaluationBatchURL generates an URL for the post evaluation batch operation
func (*PostEvaluationBatchURL) Build ¶
func (o *PostEvaluationBatchURL) Build() (*url.URL, error)
Build a url path and query string
func (*PostEvaluationBatchURL) BuildFull ¶
func (o *PostEvaluationBatchURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*PostEvaluationBatchURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*PostEvaluationBatchURL) SetBasePath ¶
func (o *PostEvaluationBatchURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*PostEvaluationBatchURL) String ¶
func (o *PostEvaluationBatchURL) String() string
String returns the string representation of the path with query string
func (*PostEvaluationBatchURL) StringFull ¶
func (o *PostEvaluationBatchURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*PostEvaluationBatchURL) WithBasePath ¶
func (o *PostEvaluationBatchURL) WithBasePath(bp string) *PostEvaluationBatchURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type PostEvaluationDefault ¶
type PostEvaluationDefault struct {
/*
In: Body
*/
Payload *models.Error `json:"body,omitempty"`
// contains filtered or unexported fields
}
PostEvaluationDefault generic error response
swagger:response postEvaluationDefault
func NewPostEvaluationDefault ¶
func NewPostEvaluationDefault(code int) *PostEvaluationDefault
NewPostEvaluationDefault creates PostEvaluationDefault with default headers values
func (*PostEvaluationDefault) SetPayload ¶
func (o *PostEvaluationDefault) SetPayload(payload *models.Error)
SetPayload sets the payload to the post evaluation default response
func (*PostEvaluationDefault) SetStatusCode ¶
func (o *PostEvaluationDefault) SetStatusCode(code int)
SetStatusCode sets the status to the post evaluation default response
func (*PostEvaluationDefault) WithPayload ¶
func (o *PostEvaluationDefault) WithPayload(payload *models.Error) *PostEvaluationDefault
WithPayload adds the payload to the post evaluation default response
func (*PostEvaluationDefault) WithStatusCode ¶
func (o *PostEvaluationDefault) WithStatusCode(code int) *PostEvaluationDefault
WithStatusCode adds the status to the post evaluation default response
func (*PostEvaluationDefault) WriteResponse ¶
func (o *PostEvaluationDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type PostEvaluationHandler ¶
type PostEvaluationHandler interface {
Handle(PostEvaluationParams) middleware.Responder
}
PostEvaluationHandler interface for that can handle valid post evaluation params
type PostEvaluationHandlerFunc ¶
type PostEvaluationHandlerFunc func(PostEvaluationParams) middleware.Responder
PostEvaluationHandlerFunc turns a function with the right signature into a post evaluation handler
func (PostEvaluationHandlerFunc) Handle ¶
func (fn PostEvaluationHandlerFunc) Handle(params PostEvaluationParams) middleware.Responder
Handle executing the request and returning a response
type PostEvaluationOK ¶
type PostEvaluationOK struct {
/*
In: Body
*/
Payload *models.EvalResult `json:"body,omitempty"`
}
PostEvaluationOK evaluation result
swagger:response postEvaluationOK
func NewPostEvaluationOK ¶
func NewPostEvaluationOK() *PostEvaluationOK
NewPostEvaluationOK creates PostEvaluationOK with default headers values
func (*PostEvaluationOK) SetPayload ¶
func (o *PostEvaluationOK) SetPayload(payload *models.EvalResult)
SetPayload sets the payload to the post evaluation o k response
func (*PostEvaluationOK) WithPayload ¶
func (o *PostEvaluationOK) WithPayload(payload *models.EvalResult) *PostEvaluationOK
WithPayload adds the payload to the post evaluation o k response
func (*PostEvaluationOK) WriteResponse ¶
func (o *PostEvaluationOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type PostEvaluationParams ¶
type PostEvaluationParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*evaluation context
Required: true
In: body
*/
Body *models.EvalContext
}
PostEvaluationParams contains all the bound params for the post evaluation operation typically these are obtained from a http.Request
swagger:parameters postEvaluation
func NewPostEvaluationParams ¶
func NewPostEvaluationParams() PostEvaluationParams
NewPostEvaluationParams creates a new PostEvaluationParams object
There are no default values defined in the spec.
func (*PostEvaluationParams) BindRequest ¶
func (o *PostEvaluationParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewPostEvaluationParams() beforehand.
type PostEvaluationURL ¶
type PostEvaluationURL struct {
// contains filtered or unexported fields
}
PostEvaluationURL generates an URL for the post evaluation operation
func (*PostEvaluationURL) Build ¶
func (o *PostEvaluationURL) Build() (*url.URL, error)
Build a url path and query string
func (*PostEvaluationURL) BuildFull ¶
func (o *PostEvaluationURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*PostEvaluationURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*PostEvaluationURL) SetBasePath ¶
func (o *PostEvaluationURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*PostEvaluationURL) String ¶
func (o *PostEvaluationURL) String() string
String returns the string representation of the path with query string
func (*PostEvaluationURL) StringFull ¶
func (o *PostEvaluationURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*PostEvaluationURL) WithBasePath ¶
func (o *PostEvaluationURL) WithBasePath(bp string) *PostEvaluationURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
Source Files
¶
- get_evaluation_batch.go
- get_evaluation_batch_parameters.go
- get_evaluation_batch_responses.go
- get_evaluation_batch_urlbuilder.go
- post_evaluation.go
- post_evaluation_batch.go
- post_evaluation_batch_parameters.go
- post_evaluation_batch_responses.go
- post_evaluation_batch_urlbuilder.go
- post_evaluation_parameters.go
- post_evaluation_responses.go
- post_evaluation_urlbuilder.go